document.getElementById("fetchData").addEventListener("click", function () {
    chrome.runtime.sendMessage({ action: "fetchData" }, function (response) {
        document.getElementById("output").textContent = JSON.stringify(response, null, 2);
    });
});
document.addEventListener("DOMContentLoaded", function () {
    // 你的服务器地址
    const siteUrl = "https://www.csgoxpld.com";

    // 读取 cookies 判断是否已登录
    chrome.cookies.get({ url: siteUrl, name: "sessionid" }, function (cookie) {
        if (cookie && cookie.value) {
            // 已登录，跳转 Dashboard
            window.location.href = siteUrl + "/users/dashboard/";
        } else {
            // 未登录，跳转登录页
            window.location.href = siteUrl + "/users/login/";
        }
    });
});
