
function updateIframe() {
    let iframe = document.getElementById("mainFrame");
    let hash = window.location.hash || "#/dashboard";  // 默认进入 #/stock
    console.log(hash)
    const siteUrl = "https://www.csgoxpld.com";
    //const siteUrl = "http://127.0.0.1:8000";
    if (hash === "#/dashboard") {
        iframe.src = siteUrl + "/users/dashboard/";
    } else if (hash === "#/login") {
        iframe.src = siteUrl + "/users/login/";
    } else if (hash === "#/goods_stock") {
        iframe.src = siteUrl + "/goods/goods_stock/";
    }
}

window.addEventListener("hashchange", updateIframe);
updateIframe(); // 初始化 iframe

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    console.log("index.html 收到 background.js 返回的数据:", message);

    if (message.type === "FETCH_DATA_RESPONSE") {
        console.log("✅ 转发数据给 iframe:", message.response);

        // 把数据发送给 `iframe`（dashboard 页面）
        document.getElementById("mainFrame").contentWindow.postMessage(
            { type: "FETCH_DATA_RESPONSE", response: message.response },
            "*"
        );
    }
    else if (message.type === "FETCH_DATA_STEAM_RESPONSE") {
        console.log("✅ 转发数据给 iframe:", message.response);

        // 把数据发送给 `iframe`（dashboard 页面）
        document.getElementById("mainFrame").contentWindow.postMessage(
            { type: "FETCH_DATA_STEAM_RESPONSE", response: message.response },
            "*"
        );
    }
});
